Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramDocument

    java.lang.Object
      ru.biosoft.gui.Document
          biouml.workbench.diagram.DiagramDocument

All Implemented Interfaces:
  ApplicationDocument, java.util.EventListener, java.beans.PropertyChangeListener

public class DiagramDocument
extends Document
implements java.beans.PropertyChangeListener

Pendung:
  remove dependency from BioUMLApplication

Field Summary
`static java.awt.Point` | `VIEWPANE_OFFSET`
`static int` | `X_VIEWPANE_OFFSET`
`static int` | `Y_VIEWPANE_OFFSET`

Fields inherited from class ru.biosoft.gui.Document
`log, transactionStack, undoManager`

Constructor Summary
`DiagramDocument(Diagram diagram)`

Method Summary
`void` | `close()` Close document.
`protected void` | `doUpdate()`
`Diagram` | `getDiagram()`
`java.lang.String` | `getDisplayName()` Returns document display name.
`ViewPane` | `getViewPane()`
`void` | `propertyChange(java.beans.PropertyChangeEvent pce)`
`protected void` | `saveKernel(Base de)`
`void` | `setActive(boolean isActive)`

Methods inherited from class ru.biosoft.gui.Document
`applyEditorChanges, getModel, getUndoManager, removeListeners, update, updateActionsState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_VIEWPANE_OFFSET

    public static final int X_VIEWPANE_OFFSET

See Also:
  Constant Field Values

### Y_VIEWPANE_OFFSET

    public static final int Y_VIEWPANE_OFFSET

See Also:
  Constant Field Values

### VIEWPANE_OFFSET

    public static final java.awt.Point VIEWPANE_OFFSET

Constructor Detail

### DiagramDocument

    public DiagramDocument(Diagram diagram)

Method Detail

### getDiagram

    public Diagram getDiagram()

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from class: `Document`
  Returns document display name. This name will be shown as corresponding tab title.

  Specified by:
    `getDisplayName` in interface `ApplicationDocument`
  Specified by:
    `getDisplayName` in class `Document`

### getViewPane

    public ViewPane getViewPane()

  Overrides:
    `getViewPane` in class `Document`

### setActive

    public void setActive(boolean isActive)

  Overrides:
    `setActive` in class `Document`

### close

    public void close()

  Description copied from interface: `ApplicationDocument`
  Close document. Document should release all resource, save its state and other... After calling this method no one method of ApplicationDocument never called.

  Specified by:
    `close` in interface `ApplicationDocument`
  Overrides:
    `close` in class `Document`

### doUpdate

    protected void doUpdate()

  Overrides:
    `doUpdate` in class `Document`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent pce)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  To do:
    filtering events for diagram update
  Pendung:
    if filter is changed we should only reapply the filter and not rebuild the diagram

### saveKernel

    protected void saveKernel(Base de)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.